What is it ?

SysInfoMyWork wersja 1.2 (26-08-2003)

SysInfoMyWork is system tool for monitoring state of memory and CPU load. You can use and distribute absolutely for free, but you cannot make money from selling it. Distribution in order to make money exlcuding CD-ROM's of computer magazines, needs author permission.

Author is not bearing responsibility for possibly data destruction or system damage where the program is running. You are using this program for your own responsibility.

© 2001-2003 Piotr "Vetch" Zagawa


Program features

  • showing information in animated icon of taskbar notification area (called "tray")

  • showing up-to-date amount of available and occupied system memory

  • showing CPU load (busy time in executing threads)

  • options for force ordering memory by the system, for setting free required amount of memory

  • auto-releasing of memory

  • small amount of memory occupied by program

  • possibility to change color scheme of showed information

  • legible and simple user interface in polish and english languages


Requirements

SysInfoMyWork works on NT systems with version equal or greater than 5.0, so Windows 2000 and XP.

For technical reason of older systems limitations (for example Windows 9x), program was not adapted for them and not works on them.
Program was written and tested on Windows XP system.


History

Version 1.2
26-08-2003

  • corrected settings saving for many users

  • corrected information collecting about system performance counters

Version 1.1
02-04-2003

  • removed releasing memory error

  • working only in one instance

  • new option for auto releasing of memory according to adjusted parameters

Version 1.0
21-01-2003

  • First version


About author...
Program SysInfoMyWork was written by Piotr Zagawa
e-mail: | vetch@vetch.magot.pl
strona www: | http://vetch.magot.pl


Hints

Few hints, how to use program:

  • if you want change language of popup menu, click with right mouse button on icon of the running program in taskbar notification area and select menu item "Jezyk" (Language), and click submenu language item.

  • memory is released automatically, when amount of free memory and CPU load falls down, below adjusted minimum. In case, to get the requested amount of free memory, next attempt to get back memory is maked, when amount of free memory falls down 5 % amount of available memory, below amount of free memory.